(function( $ ) {
	'use strict';
	
	
	$(document).ready(function(){
		implementTabs();
		let current_fs, next_fs, previous_fs; //fieldsets
		let left, opacity, scale; //fieldset properties which we will animate
		let animating; //flag to prevent quick multi-click glitches
		//let progressbar = $("#ays-gallery-form #progressbar li");


		$(document).on('click', '.ays-add-multiple-images', function(e){
			openMediaUploader_forMultiple(e, $(this));
		});
		
		$(document).on('click', '.ays_image_add_icon', function(e){
			openMediaUploader(e, $(this), 'ays_image_add_icon');
		});
		
		$(document).on('click', '.ays_image_edit', function(e){
			openMediaUploader(e, $(this), 'ays_image_edit');
		});
		

		$(document).find('.ays-add-images').on('click', function(e){
            e.preventDefault();
			let accordion = $(document).find('ul.ays-accordion'),
				accordion_el = $(document).find('ul.ays-accordion li'),
				accordion_el_length = accordion_el.length,
                noimage_path = $(document).find('#noimage_path').val();
			if(accordion_el_length < 24){
				let newLi = '<li>' +
					'			<i class="fa fa-trash ays-delete-image"></i>' +
					'			<i class="fa fa-arrows ays-move-images"></i>' +
					'			<div class="ays_image_add_div">' +
                    '                <span class="ays_ays_img"></span>' +
                    '                <div class="ays_image_add_icon"><i class="fa fa-plus ays-upload-btn"></i></div>' +
                    '           </div>' +
					'			<div class="ays_image_thumb" style="display: none;">' +
					'			   <div class="ays_image_edit_div">' +
					'			       <i class="fa fa-pencil ays_image_edit"></i></div>' +
					'			   <img>' +
					'			</div>' +
					'           <input type="hidden" name="ays-image-path[]">' +
					'			<div class="ays-image-attributes">' +
                    '               <div class="ays_image_attr_item">' +
                    '                   <label>Image title</label>' +
					'	                <input type="text" name="ays-image-title[]" placeholder="Image title"/>' +
                    '               </div>' +
                    '               <div class="ays_image_attr_item">' +
                    '                   <label>Image alt</label>' +
                    '                   <input type="text" name="ays-image-alt[]" placeholder=""Image alt"/>' +
                    '               </div>' +
                    '               <div class="ays_image_attr_item">' +
                    '                   <label>Image description</label>' +
                    '                   <input type="text" name="ays-image-description[]" placeholder="Image description"/>' +
                    '               </div>' +
                    '               <div class="ays_image_attr_item">' +
                    '                   <label>Image url</label>' +
                    '                   <input type="url" name="ays-image-url[]" placeholder="Image url"/>' +
                    '               </div>' +
					'           </div>' +
					'         </li>';

				accordion.append(newLi);
            }else{
				alert("You're not allowed to add gallery for more galleries please checkout to PRO version");
			}

		});

        $(document).find('ul.ays-accordion').sortable({
            handle: '.fa-arrows',
			axis: 'y',
			opacity: 0.8,
			placeholder: 'clone',
            cursor: 'move'
        });

		$(document).on('click', '.ays-delete-image', function(){
			$(this).parent().remove();

            $(document).find('ul.ays-accordion li').each(function(index){
				$(this).find('h2').html('Image ' + ( index + 1 ));
			});
		});

        function openMediaUploader(e,element, where){
            e.preventDefault();
            let aysUploader = wp.media({
                title: 'Upload',
                button: {
                    text: 'Upload'
                },
                multiple: false
            }).on('select', function() {
				if(where == 'ays_image_add_icon'){
					let attachment = aysUploader.state().get('selection').first().toJSON();
					element.parent().parent().children('.ays_image_thumb').children('img').attr('src', attachment.url);
					element.parent().parent().children('.ays_image_thumb').css('display','block');
                    element.parent().parent().children('input[type="hidden"]').val(attachment.url);
					element.parent().parent().children('.ays_image_add_div').remove();
				}else{
					if(where == 'ays_image_edit'){						
						let attachment = aysUploader.state().get('selection').first().toJSON();
						element.parent().parent().children('img').attr('src', attachment.url);
                        console.log(attachment.url);
						element.parent().parent().parent().children('input[type="hidden"]').val(attachment.url);
					}
				}
			}).open();
            return false;

        }

        function openMediaUploader_forMultiple(e,element){
            e.preventDefault();
            let aysUploader = wp.media({
                title: 'Upload images',
                button: {
                    text: 'Upload'
                },
                multiple: true
            }).on('select', function() {
				let attachment = aysUploader.state().get('selection').toJSON();
                console.log(attachment);
                for(let i=0; i<attachment.length; i++){
                    let accordion = $(document).find('ul.ays-accordion'),
                    accordion_el = $(document).find('ul.ays-accordion li'),
                    accordion_el_length = accordion_el.length;
                    if(accordion_el_length < 24){
                        let newListImage = '<li>' +
                        '			<i class="fa fa-trash ays-delete-image"></i>' +
                        '			<i class="fa fa-arrows ays-move-images"></i>' +
                        '			<div class="ays_image_thumb" style="display: block;">' +
                        '			<div class="ays_image_edit_div">' +
                        '			<i class="fa fa-pencil ays_image_edit"></i></div>' +
                        '			<img class="ays_ays_img" alt="" src="'+attachment[i].url+'">' +
                        '			</div>' +
                        '           <input type="hidden" name="ays-image-path[]" value="'+attachment[i].url+'">' +
                        '			<div class="ays-image-attributes">' +
                        '               <input type="text" name="ays-image-title[]" placeholder="Image title"/>' +
                        '               <input type="text" name="ays-image-alt[]" placeholder="Image alt"/>' +
                        '               <input type="text" name="ays-image-description[]" placeholder="Image description"/>' +
                        '               <input type="url" name="ays-image-url[]" placeholder="Image url"/>' +
                        '           </div>' +
                        '         </li>';

                        accordion.append(newListImage);
                    }else{
                        alert("You're not allowed to add gallery for more galleries please checkout to PRO version");
                    }
                }
			}).open();
            return;

        }
        
		function implementTabs(){
			$('.gallery_generic_tabs .gallery_tab_content').hide();
			$('.gallery_generic_tabs .gallery_tab_content:first').show();
			$('.gallery_generic_tabs ul#progressbar li:first').addClass('active');
			$('.gallery_generic_tabs ul#progressbar li a').click(function(){
				$('.gallery_generic_tabs ul#progressbar li').removeClass('active');
				$(this).parent().addClass('active');
				let currentTab = $(this).attr('href');
				$('.gallery_generic_tabs .gallery_tab_content').hide();
				$(currentTab).show();
				return false;
			});
		}
    });
	
})( jQuery );
