<?php
$action = (isset($_GET['action'])) ? sanitize_text_field( $_GET['action'] ) : '';
$heading = '';
$id = ( isset( $_GET['gallery'] ) ) ? absint( intval( $_GET['gallery'] ) ) : null;

$gallery = [
    "id"            => "",
    "title"         => "",
    "description"   => "",
    "images"        => "",
    "images_titles" => "",
    "images_descs"  => "",
    "images_alts"   => "",
    "images_urls"   => "",
    "width"         => "",
    "height"        => "",
    "options"       => ""
];
switch( $action ) {
    case 'add':
        $heading = 'Add new gallery';
        break;
    case 'edit':
        $heading = 'Edit gallery';
        $gallery = $this->gallery_obj->get_gallery_by_id($id);
        break;
}

if(isset($_POST["ays-submit"]) || isset($_POST["ays-submit-top"])){
    $_POST["id"] = $id;
    $this->gallery_obj->add_or_edit_gallery($_POST);
}

?>

<div class="wrap" id="ays-gallery-wrap">
<?php
    echo "<style>
            .ays_ays_img {
                    display: block;
                    width: 100%;
                    height: 100%;
                    background-image: url('".AYS_GPG_ADMIN_URL .'images/no-photo.png'."');
                    background-size: 220px 125px;
                    background-position: center center;
                }
        </style>";
?>
    <p>
        <?php echo __( "In gallery images limit is 24. For more images get ", $this->plugin_name ); ?>
        (<a href="http://ays-pro.com/index.php/wordpress/photo-gallery" class="lightredpro" target="_blaays_nk">Pro</a>)
        <?php echo __( " version.", $this->plugin_name ); ?>
    </p>
    <form class="ays-gallery-form" id="ays-gallery-form" method="post">	
    	<h1 style="text-align: left;">
			<?php echo $heading; ?>
			<input type="submit" name="ays-submit-top" class="ays-submit action-button" value="<?php echo __("Save gallery", $this->plugin_name);?>" />
		</h1>
		<div class="gallery_generic_tabs">
		<table class="gallery_t_d" align='center'>
			<tr>
				<td>
					<label for="gallery_title"><?php echo __("Gallery Title", $this->plugin_name);?></label>
				</td>
				<td>
					<input type="text" id="gallery_title" name="gallery_title" placeholder="<?php echo __("Gallery Title", $this->plugin_name);?>" value="<?php echo wp_unslash($gallery["title"]); ?>"/>
				</td>
			</tr>
			<tr>
				<td>
					<label for="gallery_description"><?php echo __("Gallery Description", $this->plugin_name);?></label>
				</td>
				<td>
					<textarea name="gallery_description" id="gallery_description" placeholder="<?php echo __("Gallery Description", $this->plugin_name);?>"><?php echo wp_unslash($gallery["description"]); ?></textarea>
				</td>
			</tr>
		</table>
		
        <ul id="progressbar">
            <li class="active"><a href="#ays-gallery-tab1"><?php echo __("Images", $this->plugin_name);?></a></li>
            <li><a href="#ays-gallery-tab2"><?php echo __("Settings", $this->plugin_name);?></a></li>
        </ul>
		<div id="ays-gallery-tab1" class="gallery_tab_content active">
			<h2 class="fs-title"><?php echo __("Add Images", $this->plugin_name); ?></h2>
			<h3 class="fs-subtitle"><?php echo __("Upload images for your gallery", $this->plugin_name); ?></h3>
			<button class="ays-add-images action-button"><?php echo __("Add images +", $this->plugin_name); ?></button>
			<button class="ays-add-multiple-images action-button"><?php echo __("Add multiple images +", $this->plugin_name); ?></button>

			<ul class="ays-accordion">
				<?php
					if($id == null) :
				?>
				<li>
					<i class="fa fa-trash ays-delete-image"></i>
					<i class="fa fa-arrows ays-move-images"></i>
					<div class="ays_image_add_div">
                        <span class="ays_ays_img"></span>
                        <div class="ays_image_add_icon"><i class="fa fa-plus ays-upload-btn"></i></div>
                    </div>
					<div class="ays_image_thumb">
						<div class="ays_image_edit_div"><i class="fa fa-pencil ays_image_edit"></i></div>
						<img>
					</div>
					<input type="hidden" name="ays-image-path[]">
					<div class="ays-image-attributes">
                        <div class="ays_image_attr_item">
                            <label><?php echo __("Image title", $this->plugin_name);?></label>
						    <input type="text" name="ays-image-title[]" placeholder="<?php echo __("Image title", $this->plugin_name);?>"/>
                        </div>
                        <div class="ays_image_attr_item">
                            <label><?php echo __("Image alt", $this->plugin_name);?></label>
                            <input type="text" name="ays-image-alt[]" placeholder="<?php echo __("Image alt", $this->plugin_name);?>"/>
                        </div>
                        <div class="ays_image_attr_item">
                            <label><?php echo __("Image description", $this->plugin_name);?></label>
                            <input type="text" name="ays-image-description[]" placeholder="<?php echo __("Image description", $this->plugin_name);?>"/>
                        </div>
                        <div class="ays_image_attr_item">
                            <label><?php echo __("Image url", $this->plugin_name);?></label>
                            <input type="url" name="ays-image-url[]" placeholder="<?php echo __("Image url", $this->plugin_name);?>"/>
                        </div>
					</div>
				</li>
				<?php
					else:
						$images = explode( "***", $gallery["images"] );
						$images_titles = explode( "***", $gallery["images_titles"] );
						$images_descriptions = explode( "***", $gallery["images_descs"] );
						$images_alts = explode( "***", $gallery["images_alts"] );
						$images_urls = explode( "***", $gallery["images_urls"] );
						foreach ( $images as $key => $image ) {
							?>
							<li>
								<i class="fa fa-trash ays-delete-image"></i>
								<i class="fa fa-arrows ays-move-images"></i>
								<div class="ays_image_thumb" style="display: block;">
									<div class="ays_image_edit_div"><i class="fa fa-pencil ays_image_edit"></i></div>
									<img class="ays_ays_img" src="<?php echo $image; ?>">
								</div>
								<input type="hidden" name="ays-image-path[]" value="<?php echo $image; ?>">
								<div class="ays-image-attributes">
                                    <div class="ays_image_attr_item">
                                        <label><?php echo __("Image title", $this->plugin_name);?></label>
                                        <input type="text" name="ays-image-title[]" placeholder="<?php echo __("Image title", $this->plugin_name);?>" value="<?php echo $images_titles[$key]; ?>"/>
                                    </div>
                                    <div class="ays_image_attr_item">
                                        <label><?php echo __("Image alt", $this->plugin_name);?></label>
                                        <input type="text" name="ays-image-alt[]" placeholder="<?php echo __("Image alt", $this->plugin_name);?>" value="<?php echo $images_alts[$key]; ?>"/>
                                    </div>
                                    <div class="ays_image_attr_item">
                                        <label><?php echo __("Image description", $this->plugin_name);?></label>
                                        <input type="text" name="ays-image-description[]" placeholder="<?php echo __("Image description", $this->plugin_name);?>" value="<?php echo $images_descriptions[$key]; ?>"/>
                                    </div>
                                    <div class="ays_image_attr_item">
                                        <label><?php echo __("Image url", $this->plugin_name);?></label>
                                        <input type="url" name="ays-image-url[]" placeholder="<?php echo __("Image url", $this->plugin_name);?>" value="<?php echo $images_urls[$key]; ?>"/>
                                    </div>
								</div>
							</li>
							<?php
						}
					endif;
				?>
			</ul>

		</div>
		<div id="ays-gallery-tab2" class="gallery_tab_content">
			<h2 class="fs-title"><?php echo __("Create your gallery", $this->plugin_name); ?></h2>
			<h3 class="fs-subtitle"><?php echo __("General options", $this->plugin_name); ?></h3>

			<div class="ays-gallery-free-options">
				<table align='center'>
					<tr>
						<td>
							<label for="gallery_width"><?php echo __("Gallery Width", $this->plugin_name);?></label>
						</td>
						<td>
							<input type="number" id="gallery_width" name="gallery_width" placeholder="<?php echo __("Gallery Width", $this->plugin_name);?>" value="<?php echo $gallery["width"];?>"/>
						</td>
					</tr>
					<tr>
						<td>
							<label for="gallery_height"><?php echo __("Gallery Height", $this->plugin_name);?></label>
						</td>
						<td>
							<input type="number" id="gallery_height" name="gallery_height" placeholder="<?php echo __("Gallery Height", $this->plugin_name);?>" value="<?php echo $gallery["height"];?>"/>
						</td>
					</tr>
					<tr>
						<td>
							<label><?php echo __("Columns count. Default: 3 (Pro)", $this->plugin_name);?></label>
						</td>
						<td>
							<input type="number" name="ays-columns-count" placeholder="Columns count. Default: 3 (Pro)" disabled/>
						</td>
					</tr>
					<tr>
						<td>
							<label for="ays-view-type"><?php echo __("Gallery type", $this->plugin_name);?></label>
						</td>
						<td>
							<?php
								if($gallery["options"] == "") :
							?>
								<select name="ays-view-type" id="ays-view-type">
									<option></option>
									<option value="grid"><?php echo __("Grid", $this->plugin_name);?></option>
									<option value="mosaic"><?php echo __("Mosaic", $this->plugin_name);?></option>
								</select>
							<?php
								else:
									$gallery_options = json_decode($gallery['options'],true);
									?>
										<select name="ays-view-type" id="ays-view-type">
											<option></option>
											<option value="grid" <?php echo ($gallery_options['view_type'] == "grid") ? "selected" : ""; ?>><?php echo __("Grid", $this->plugin_name);?></option>
											<option value="mosaic" <?php echo ($gallery_options['view_type'] == "mosaic") ? "selected" : ""; ?>><?php echo __("Mosaic", $this->plugin_name);?></option>
										</select>
									<?php
								endif;
							?>
						</td>
					</tr>
				</table>
				
				
			</div>
		</div>
        <?php
            wp_nonce_field('ays_gallery_action', 'ays_gallery_action');
        ?>
		<div class="ays_submit_button">
        	<input type="submit" name="ays-submit" class="ays-submit action-button" value="<?php echo __("Save gallery", $this->plugin_name);?>" />
		</div>
		</div>
    </form>
</div>
