<?php
global $ays_gallery_db_version;
$ays_gallery_db_version = '3.0.7';
/**
 * Fired during plugin activation
 *
 * @link       http://ays-pro.com/
 * @since      1.0.0
 *
 * @package    Gallery_Photo_Gallery
 * @subpackage Gallery_Photo_Gallery/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Gallery_Photo_Gallery
 * @subpackage Gallery_Photo_Gallery/includes
 * @author     AYS Pro LLC <info@ays-pro.com>
 */

class Gallery_Photo_Gallery_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {
        global $wpdb;
        global $ays_gallery_db_version;
        $installed_ver = get_option( "ays_gallery_db_version" );

        $table = $wpdb->prefix . 'ays_gallery';
        $charset_collate = $wpdb->get_charset_collate();
        if($installed_ver != $ays_gallery_db_version) {
            
            $sql = "CREATE TABLE IF NOT EXISTS `" . $table . "` (
                      `id`        	    INT(16)     UNSIGNED NOT NULL AUTO_INCREMENT,
                      `title`     	    VARCHAR(256)         NOT NULL,
                      `description`	    TEXT NOT NULL,
                      `images`		    TEXT NOT NULL,
                      `images_titles`   TEXT NOT NULL,
                      `images_descs`    TEXT NOT NULL,
                      `images_alts`	    TEXT NOT NULL,
                      `images_urls`     TEXT NOT NULL,
                      `width`		    INT(16) NOT NULL,
                      `height`		    INT NOT NULL,
                      PRIMARY KEY (`id`)
                    )$charset_collate;";
            $wpdb->query( $sql );
            
            $query = "SELECT * FROM ".$table;
           $ays_gallery_infos = $wpdb->query( $query );

           if($ays_gallery_infos == 0){
               $options = ['view_type' => 'grid',];
               $option = json_encode($options);
               
               $images = array();
               $images_titles = array();
               for($i=0; $i<20; $i++){
                   $images[] = AYS_GPG_PUBLIC_URL ."images/".($i+1).".jpg";
               }
               $images_titles[] = 'Programming';
               $images_titles[] = 'Sunest in big city';
               $images_titles[] = 'Nature';
               $images_titles[] = 'Beautiful waterfall';
               $images_titles[] = 'Work table';
               $images_titles[] = 'Lake';
               $images_titles[] = 'City';
               $images_titles[] = 'Garden';
               $images_titles[] = 'Work';
               $images_titles[] = 'Girl in garden';
               $images_titles[] = 'Toy';
               $images_titles[] = 'Working';
               $images_titles[] = 'Nature in mountain';
               $images_titles[] = 'Sunflowers';
               $images_titles[] = 'Night city';
               $images_titles[] = 'Big city';
               $images_titles[] = 'Air balloons';
               $images_titles[] = 'Office';
               $images_titles[] = 'City';
               $images_titles[] = 'Mountain';
               $images = implode('***', $images);
               $images_titles = implode('***', $images_titles);
               $query = "INSERT INTO ".$table." (title, description, images, images_titles, images_descs, images_alts, images_urls, width, height, options) VALUES ('Grid gallery', 'Grid gallery description', '".$images."', '".$images_titles."', '', '".$images_titles."', '', '800', '1000', '".$option."' )";
               $wpdb->query( $query );
               $options = ['view_type' => 'mosaic',];
               $option = json_encode($options);
               $query = "INSERT INTO ".$table." (title, description, images, images_titles, images_descs, images_alts, images_urls, width, height, options) VALUES ('Mosaic gallery', 'Mosaic gallery description', '".$images."', '".$images_titles."', '', '".$images_titles."', '', '800', '1000', '".$option."')";
               $wpdb->query( $query );
           }
            update_option('ays_gallery_db_version', $ays_gallery_db_version);
        }
	}

    public static function ays_gallery_db_check() {
        global $ays_gallery_db_version;
        if ( get_site_option( 'ays_gallery_db_version' ) != $ays_gallery_db_version ) {
            self::activate();
            self::alter_tables();
        }
    }

    private static function alter_tables(){
        global $wpdb;
        $table = $wpdb->prefix . 'ays_gallery';

        $sql = "ALTER TABLE {$table} ADD options TEXT NOT NULL;";
        $wpdb->query( $sql );
    }

}
